Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Class SAGConstants

    java.lang.Object
      com.stc.connector.sagadapter.sagapi.SAGConstants

    public class SAGConstants

extends java.lang.Object

A convenient place for the commonly-used SAG constants:

     1. Defined in C++ header files.
     2. Used for message Envelope
     3. Used for SNL Primitives (from SNL specification)

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2007/07/06 23:52:30 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static class` | `SAGConstants.C_EnvelopeApplicationStatus` Constants for EnvelopeApplicationStatus
`static class` | `SAGConstants.C_EnvelopeContextId4RelaxedSNL` Constants for EnvelopeContextId for RelaxedSNL message format
`static class` | `SAGConstants.C_EnvelopeMsgFormat` Constants for EnvelopeMsgFormat
`static class` | `SAGConstants.C_LMAC_Algorithm` Constants for LMAC Algorithm
`static class` | `SAGConstants.C_ServerErrorCode` Constants for server error code for Remote API putError(...).
`static class` | `SAGConstants.C_SNL_PrimitiveNames` Constants for SNL Primitive Names.
`static class` | `SAGConstants.C_Sw_AcceptStatus` Constants for Sw_AcceptStatus
`static class` | `SAGConstants.C_Sw_AcceptStatus4Sw_AckMessage` Constants for Sw_AcceptStatus (for Sw_AckMessage)
`static class` | `SAGConstants.C_Sw_AcceptStatus4Sw_NotifySnF` Constants for Sw_AcceptStatus (for Sw_NotifySnF)
`static class` | `SAGConstants.C_Sw_AcquiredStatus` Constants for Sw_AcquiredStatus
`static class` | `SAGConstants.C_Sw_Boolean` Constants for Sw_Boolean
`static class` | `SAGConstants.C_Sw_CryptoMode` Constants for Sw_CryptoMode
`static class` | `SAGConstants.C_Sw_DeliveryStatus` Constants for Sw_DeliveryStatus
`static class` | `SAGConstants.C_Sw_DigestAlgorithm` Constants for Sw_DigestAlgorithm
`static class` | `SAGConstants.C_Sw_DigestRef_SNL_Processable` Constants for Sw_DigestRef for SWIFTNet Link Processable References
`static class` | `SAGConstants.C_Sw_FACryptoMode` Constants for Sw_FACryptoMode
`static class` | `SAGConstants.C_Sw_OrderBy` Constants for Sw_OrderBy
`static class` | `SAGConstants.C_Sw_SessionMode` Constants for Sw_SessionMode
`static class` | `SAGConstants.C_Sw_SessionStatus` Constants for Sw_SessionStatus
`static class` | `SAGConstants.C_Sw_SnFRefType` Constants for Sw_SnFRefType
`static class` | `SAGConstants.C_Sw_TransferAnswer` Constants for Sw_TransferAnswer
`static class` | `SAGConstants.C_Sw_TransferAnswer4Sw_GetFile` Constants for Sw_TransferAnswer (for Sw_GetFile)
`static class` | `SAGConstants.C_Sw_TransferAnswer4Sw_PutFile` Constants for Sw_TransferAnswer (for Sw_PutFile)
`static class` | `SAGConstants.C_Sw_TransferDirection` Constants for Sw_TransferDirection
`static class` | `SAGConstants.C_Sw_TransferSide` Constants for Sw_TransferSide
`static class` | `SAGConstants.C_Sw_TransferStatus` Constants for Sw_TransferStatus
`static class` | `SAGConstants.C_Sw_TransferType` Constants for Sw_TransferType
`static class` | `SAGConstants.C_SwGbl_Severity` Constants for SwGbl_Severity
`static class` | `SAGConstants.C_SwInt_DeliveryMode` Constants for SwInt_DeliveryMode
`static class` | `SAGConstants.C_SwInt_NRType` Constants for SwInt_NRType
`static class` | `SAGConstants.C_SwInt_Priority` Constants for SwInt_Priority
`static class` | `SAGConstants.C_SwInt_ResponsePayloadType` Constants for special "type" attribute for element SwInt:ResponsePayload used for SnF ack control.
`static class` | `SAGConstants.C_SwInt_ValResult` Constants for SwInt_ValResult

Field Summary
`static java.lang.String` | `ACCEPT_STATUS_ACK_MSG_ACCEPTED` Sw_AcceptStatus for Sw:AckMessage
`static java.lang.String` | `ACCEPT_STATUS_ACK_MSG_DUPLICATED`
`static java.lang.String` | `ACCEPT_STATUS_ACK_MSG_REJECTED`
`static java.lang.String` | `ACCEPT_STATUS_NOTIFY_SNF_ACCEPTED` Sw_AcceptStatus for Sw:NotifySnFRequestHandle
`static java.lang.String` | `ACCEPT_STATUS_NOTIFY_SNF_DUPLICATED`
`static java.lang.String` | `ACCEPT_STATUS_NOTIFY_SNF_FAILED`
`static java.lang.String` | `ACCEPT_STATUS_NOTIFY_SNF_REJECTED`
`static java.lang.String` | `ACQUIRED_STATUS_ACCEPTED` Sw_AcquiredStatus
`static java.lang.String` | `ACQUIRED_STATUS_REJECTED`
`static java.lang.String` | `APPLICATION_STATUS_FAILURE` Envelope.ApplicationStatus
`static java.lang.String` | `APPLICATION_STATUS_SUCCESS`
`static java.lang.String` | `CONNECTION_MODE_AUTOMATIC` ConnectionMode
`static java.lang.String` | `CONNECTION_MODE_MANUAL`
`static java.lang.String` | `CONTEXT_ID_ADVANCED`
`static java.lang.String` | `CONTEXT_ID_ADVANCED_NAMESPACE`
`static java.lang.String` | `CONTEXT_ID_AUTOMATIC` Envelope.ContextId for RelaxedSNL message format
`static java.lang.String` | `CONTEXT_ID_NAMESPACE`
`static java.lang.String` | `CRYPTO_MODE_ADVANCED`
`static java.lang.String` | `CRYPTO_MODE_AUTOMATIC` Sw_CryptoMode
`static java.lang.String` | `CRYPTO_MODE_MANUAL`
`static java.lang.String` | `DEFAULT_VALUE_FOR_REQUIRED_FIELD` The default value for required fields
`static java.lang.String` | `DELIVERY_MODE_SNF` SwInt_DeliveryMode
`static java.lang.String` | `DELIVERY_STATUS_ACCEPTED` Sw_DeliveryStatus
`static java.lang.String` | `DELIVERY_STATUS_DUPLICATED`
`static java.lang.String` | `DELIVERY_STATUS_FAILED`
`static java.lang.String` | `DELIVERY_STATUS_REJECTED`
`static java.lang.String` | `DIGEST_ALGORITHM_SHA1` Sw_DigestAlgorithm
`static int` | `DIR_REQUEST` for C++ type Direction
`static int` | `DIR_RESPONSE`
`static java.lang.String` | `FA_CRYPTO_MODE_ADVANCED`
`static java.lang.String` | `FA_CRYPTO_MODE_AUTOMATIC` Sw_FACryptoMode
`static java.lang.String` | `FALSE`
`static java.lang.String` | `FILE_INFO_SW_COMPRESSION_GZIP`
`static java.lang.String` | `FILE_INFO_SW_COMPRESSION_NONE`
`static java.lang.String` | `FILE_INFO_SW_COMPRESSION_ZIP` Sw_FileInfo for SwCompression
`static java.lang.String` | `FILE_OPERATION_ACK`
`static java.lang.String` | `FILE_OPERATION_GET`
`static java.lang.String` | `FILE_OPERATION_PUT` FileOpRequestConfig
`static java.lang.String` | `FILE_OPERATION_SNF_FETCH`
`static java.lang.String` | `INBOUND_TRIGGER_EVENT_ON_CONNECTION` InboundTriggerEvent Type
`static java.lang.String` | `INBOUND_TRIGGER_EVENT_ON_MESSAGE`
`static java.lang.String` | `LMAC_ALGORITHM_HMAC_SHA256` HMAC.algorithm
`static long` | `MS_TIMEOUT_INFINITE`
`static long` | `MS_TIMEOUT_NULL` for C++ type MsTimeOut_t
`static java.lang.String` | `MSG_FORMAT_BASIC_INTERACT`
`static java.lang.String` | `MSG_FORMAT_COPY_SNL`
`static java.lang.String` | `MSG_FORMAT_DEFAULT` Envelope.MsgFormat
`static java.lang.String` | `MSG_FORMAT_PRIMITIVE`
`static java.lang.String` | `MSG_FORMAT_RELAXED_SNL`
`static java.lang.String` | `MSG_FORMAT_SNL`
`static java.lang.String` | `NAME_STYLE_LITERAL`
`static java.lang.String` | `NAME_STYLE_PATTERN` Name style used internally
`static java.lang.String` | `NAME_STYLE_REGEXP`
`static java.lang.String` | `NR_TYPE_SVCMAND` SwInt_NRType
`static java.lang.String` | `NR_TYPE_SVCOPT`
`static java.lang.String` | `ORDER_BY_FIFO`
`static java.lang.String` | `ORDER_BY_FILEACT`
`static java.lang.String` | `ORDER_BY_INTERACT` Sw_OrderBy
`static java.lang.String` | `ORDER_BY_URGENT`
`static java.lang.String` | `POST_COMMAND_NONE`
`static java.lang.String` | `POST_COMMAND_REMOVE`
`static java.lang.String` | `POST_COMMAND_RENAME` Post command used internally
`static java.lang.String` | `PRIORITY_NORMAL` SwInt_Priority
`static java.lang.String` | `PRIORITY_URGENT`
`static java.lang.String` | `PRODUCT_INFO_PRODUCT_NAME`
`static java.lang.String` | `PRODUCT_INFO_PRODUCT_VERSION`
`static java.lang.String` | `PRODUCT_INFO_VENDOR_NAME` Product Info used internally
`static java.lang.String` | `RECEIVE_MODE_REAL_TIME` ReceiveMode
`static java.lang.String` | `RECEIVE_MODE_SNF`
`static java.lang.String` | `RESPONSE_PAYLOAD_TYPE_ACK_RESPONSE` Special "type" attribute for element SwInt:ResponsePayload used for SnF ack control
`static java.lang.String` | `RESPONSE_PAYLOAD_TYPE_EMPTY_RESPONSE`
`static int` | `SERVER_ERROR_CODE_LOCAL_AUTHENTICATION_FAILURE` Server error code for Remote API putError(...).
`static int` | `SERVER_ERROR_CODE_NO_SERVER_BUSINESS_RESPONSE`
`static java.lang.String` | `SESSION_MODE_PULL` Sw_SessionMode
`static java.lang.String` | `SESSION_MODE_PUSH`
`static java.lang.String` | `SESSION_STATUS_ACQUIRING`
`static java.lang.String` | `SESSION_STATUS_ACTIVE` Sw_SessionStatus
`static java.lang.String` | `SESSION_STATUS_CLOSED`
`static java.lang.String` | `SESSION_STATUS_TIMEDOUT`
`static int` | `SEVERITY_FATAL`
`static int` | `SEVERITY_LOGIC`
`static int` | `SEVERITY_SUCCESS` for C++ type Severity
`static int` | `SEVERITY_TRANSIENT`
`static java.lang.String` | `SNF_REF_TYPE_FILEACT`
`static java.lang.String` | `SNF_REF_TYPE_INTERACT` Sw_SnFRefType
`static java.lang.String` | `SNL_DIGEST_REF_E2S`
`static java.lang.String` | `SNL_DIGEST_REF_NRS`
`static java.lang.String` | `SNL_DIGEST_REF_REQUESTHEADER`
`static java.lang.String` | `SNL_DIGEST_REF_REQUESTHEADER_AND_REQUESTPAYLOAD`
`static java.lang.String` | `SNL_DIGEST_REF_REQUESTPAYLOAD` Sw_DigestRef: SWIFTNet Link Processable References
`static java.lang.String` | `SNL_DIGEST_REF_RESPONSEHEADER`
`static java.lang.String` | `SNL_DIGEST_REF_RESPONSEHEADER_AND_RESPONSEPAYLOAD`
`static java.lang.String` | `SNL_DIGEST_REF_RESPONSEPAYLOAD`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_ABORT_FILE_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_ABORT_FILE_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_CREATE_CONTEXT_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_CREATE_CONTEXT_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_DESTROY_CONTEXT_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_DESTROY_CONTEXT_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_EXCHANGE_FILE_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_EXCHANGE_FILE_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_EXCHANGE_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_EXCHANGE_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_EXCHANGE_SNF_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_EXCHANGE_SNF_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_FETCH_FILE_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_FETCH_FILE_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_GET_DATE_TIME_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_GET_DATE_TIME_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_GET_FILE_DIGEST_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_GET_FILE_DIGEST_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_GET_FILE_STATUS_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_GET_FILE_STATUS_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_GET_SNF_STATUS_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_GET_SNF_STATUS_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_FILE_EVENT_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_FILE_EVENT_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_FILE_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_FILE_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_INIT_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_INIT_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_RESPONSE_INFO_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_RESPONSE_INFO_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_SNF_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_SNF_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_TERM_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_HANDLE_TERM_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_INIT_REQUEST` SNL Primitive names from SNL spec
`static java.lang.String` | `SNL_PRIMITIVE_NAME_INIT_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_KMA_CERT_INFO_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_KMA_CERT_INFO_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_KMA_CERT_LIST_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_KMA_CERT_LIST_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_KMA_CERTIFY_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_KMA_CERTIFY_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_KMA_CHANGE_PASSWORD_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_KMA_CHANGE_PASSWORD_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_LIST_FILE_STATUS_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_LIST_FILE_STATUS_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_PULL_SNF_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_PULL_SNF_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_SEND_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_SEND_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_SIGN_ENCRYPT_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_SIGN_ENCRYPT_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_SMA_GET_STATUS_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_SMA_GET_STATUS_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_SUBSCRIBE_FILE_EVENT_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_SUBSCRIBE_FILE_EVENT_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_TERM_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_TERM_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_VERIFY_DECRYPT_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_VERIFY_DECRYPT_RESPONSE`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_WAIT_REQUEST`
`static java.lang.String` | `SNL_PRIMITIVE_NAME_WAIT_RESPONSE`
`static java.lang.String` | `SWGBL_SEVERITY_FATAL` SwGbl_Severity
`static java.lang.String` | `SWGBL_SEVERITY_LOGIC`
`static java.lang.String` | `SWGBL_SEVERITY_SUCCESS`
`static java.lang.String` | `SWGBL_SEVERITY_TRANSIENT`
`static java.lang.String` | `SWGBL_SEVERITY_WARNING`
`static int` | `SWLIB_E_ACCESS_CFG`
`static int` | `SWLIB_E_ACCESS_DLL`
`static int` | `SWLIB_E_BAD_DLL`
`static int` | `SWLIB_E_CALLED_TWICE`
`static int` | `SWLIB_E_FORMAT_ARG`
`static int` | `SWLIB_E_FORMAT_CFG`
`static int` | `SWLIB_E_INTERNAL`
`static int` | `SWLIB_E_IS_CLIENT`
`static int` | `SWLIB_E_NO_CALLBACKS`
`static int` | `SWLIB_E_NO_VERSION`
`static int` | `SWLIB_E_PREVIOUS_ERROR`
`static int` | `SWLIB_E_SUCCESS` For C++: Error codes defined for SAG binary compatibility
`static long` | `TOKEN_ANY` for C++ type Token_t
`static java.lang.String` | `TRANSFER_ANSWER_GETFILE_ACCEPTED` Sw_TransferAnswer for Sw:GetFileResponse and Sw:GetFileResponseHandle
`static java.lang.String` | `TRANSFER_ANSWER_GETFILE_REJECTED`
`static java.lang.String` | `TRANSFER_ANSWER_PUTFILE_ACCEPTED` Sw_TransferAnswer for Sw:PutFileResponse and Sw:PutFileResponseHandle
`static java.lang.String` | `TRANSFER_ANSWER_PUTFILE_DUPLICATED`
`static java.lang.String` | `TRANSFER_ANSWER_PUTFILE_REJECTED`
`static java.lang.String` | `TRANSFER_DIRECTION_INCOMING` Sw_FileStatus.Sw_TransferDirection
`static java.lang.String` | `TRANSFER_DIRECTION_OUTGOING`
`static java.lang.String` | `TRANSFER_SIDE_REQUESTOR` Sw_FileStatus.Sw_TransferSide
`static java.lang.String` | `TRANSFER_SIDE_RESPONDER`
`static java.lang.String` | `TRANSFER_STATUS_ABORTED`
`static java.lang.String` | `TRANSFER_STATUS_ACCEPTED`
`static java.lang.String` | `TRANSFER_STATUS_COMPLETED`
`static java.lang.String` | `TRANSFER_STATUS_DUPLICATED`
`static java.lang.String` | `TRANSFER_STATUS_FAILED`
`static java.lang.String` | `TRANSFER_STATUS_INITIATED` Sw_FileStatus.Sw_TransferStatus
`static java.lang.String` | `TRANSFER_STATUS_ONGOING`
`static java.lang.String` | `TRANSFER_STATUS_REJECTED`
`static java.lang.String` | `TRANSFER_STATUS_UNKNOWN`
`static java.lang.String` | `TRANSFER_TYPE_FETCH`
`static java.lang.String` | `TRANSFER_TYPE_GET`
`static java.lang.String` | `TRANSFER_TYPE_PUT` Sw_FileStatus.Sw_TransferType
`static java.lang.String` | `TRUE` Sw_Boolean
`static java.lang.String` | `VALIDATION_RESULT_FATAL`
`static java.lang.String` | `VALIDATION_RESULT_SUCCESS` SwInt_ValResult
`static java.lang.String` | `VALIDATION_RESULT_WARNING`
`static int` | `VISIT_INTERFACE`
`static int` | `VISIT_PLUGIN` for C++ type VisitInstruction
`static int` | `VISIT_RETURN`

Constructor Summary
`SAGConstants()`

Method Summary
`static SAGConstants.C_EnvelopeApplicationStatus` | `getEnvelopeApplicationStatus()` Gets the envelope application status
`static SAGConstants.C_EnvelopeContextId4RelaxedSNL` | `getEnvelopeContextId4RelaxedSNL()` Gets the envelope context id for RelaxedSNL message format.
`static SAGConstants.C_EnvelopeMsgFormat` | `getEnvelopeMsgFormat()` Gets the envelope message format.
`static SAGConstants.C_LMAC_Algorithm` | `getLMAC_Algorithm()` Gets the LMAC Algorithm
`static SAGConstants.C_ServerErrorCode` | `getServerErrorCode()` Gets server error code for Remote API putError(...).
`static SAGConstants.C_SNL_PrimitiveNames` | `getSNL_PrimitiveNames()` Gets SNL Primitive Names.
`static SAGConstants.C_Sw_AcceptStatus` | `getSw_AcceptStatus()` Gets the accept status.
`static SAGConstants.C_Sw_AcquiredStatus` | `getSw_AcquiredStatus()` Gets the aquire status.
`static SAGConstants.C_Sw_Boolean` | `getSw_Boolean()` Gets Sw_Boolean.
`static SAGConstants.C_Sw_CryptoMode` | `getSw_CryptoMode()` Gets the Sw_CryptoMode.
`static SAGConstants.C_Sw_DeliveryStatus` | `getSw_DeliveryStatus()` Gets the delivery status.
`static SAGConstants.C_Sw_DigestAlgorithm` | `getSw_DigestAlgorithm()` Parameters: None.
`static SAGConstants.C_Sw_DigestRef_SNL_Processable` | `getSw_DigestRef_SNL_Processable()` Gets the Sw_DigestRef_SNL_Processable.
`static SAGConstants.C_Sw_FACryptoMode` | `getSw_FACryptoMode()` Gets the Sw_FACryptoMode.
`static SAGConstants.C_Sw_OrderBy` | `getSw_OrderBy()` Gets the OrderBy, indicates the order in which the messages must be retrieved on the queue.
`static SAGConstants.C_Sw_SessionMode` | `getSw_SessionMode()` Gets the session mode.
`static SAGConstants.C_Sw_SessionStatus` | `getSw_SessionStatus()` Gets the session status.
`static SAGConstants.C_Sw_SnFRefType` | `getSw_SnFRefType()` Gets the SnF reference type.
`static SAGConstants.C_Sw_TransferAnswer` | `getSw_TransferAnswer()` Gets the transfer answer.
`static SAGConstants.C_Sw_TransferDirection` | `getSw_TransferDirection()` Gets the transfer direction.
`static SAGConstants.C_Sw_TransferSide` | `getSw_TransferSide()` Gets the transfer side.
`static SAGConstants.C_Sw_TransferStatus` | `getSw_TransferStatus()` Gets the transfer status.
`static SAGConstants.C_Sw_TransferType` | `getSw_TransferType()` Gets the transfer type.
`static SAGConstants.C_SwGbl_Severity` | `getSwGbl_Severity()` Gets the Gbl_Severity.
`static SAGConstants.C_SwInt_DeliveryMode` | `getSwInt_DeliveryMode()` Gets the delivery mode.
`static SAGConstants.C_SwInt_NRType` | `getSwInt_NRType()` Gets the NR (non-repudiation)type.
`static SAGConstants.C_SwInt_Priority` | `getSwInt_Priority()` Gets the priority.
`static SAGConstants.C_SwInt_ResponsePayloadType` | `getSwInt_ResponsePayloadType()` Gets special "type" attribute for element SwInt:ResponsePayload used for SnF ack control.
`static SAGConstants.C_SwInt_ValResult` | `getSwInt_ValResult()` Gets the value result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRODUCT_INFO_VENDOR_NAME

    public static final java.lang.String PRODUCT_INFO_VENDOR_NAME

  Product Info used internally

  See Also:
    Constant Field Values

### PRODUCT_INFO_PRODUCT_NAME

    public static final java.lang.String PRODUCT_INFO_PRODUCT_NAME

See Also:
  Constant Field Values

### PRODUCT_INFO_PRODUCT_VERSION

    public static final java.lang.String PRODUCT_INFO_PRODUCT_VERSION

See Also:
  Constant Field Values

### DEFAULT_VALUE_FOR_REQUIRED_FIELD

    public static final java.lang.String DEFAULT_VALUE_FOR_REQUIRED_FIELD

  The default value for required fields

  See Also:
    Constant Field Values

### NAME_STYLE_PATTERN

    public static final java.lang.String NAME_STYLE_PATTERN

  Name style used internally

  See Also:
    Constant Field Values

### NAME_STYLE_REGEXP

    public static final java.lang.String NAME_STYLE_REGEXP

See Also:
  Constant Field Values

### NAME_STYLE_LITERAL

    public static final java.lang.String NAME_STYLE_LITERAL

See Also:
  Constant Field Values

### POST_COMMAND_RENAME

    public static final java.lang.String POST_COMMAND_RENAME

  Post command used internally

  See Also:
    Constant Field Values

### POST_COMMAND_REMOVE

    public static final java.lang.String POST_COMMAND_REMOVE

See Also:
  Constant Field Values

### POST_COMMAND_NONE

    public static final java.lang.String POST_COMMAND_NONE

See Also:
  Constant Field Values

### CONNECTION_MODE_AUTOMATIC

    public static final java.lang.String CONNECTION_MODE_AUTOMATIC

  ConnectionMode

  See Also:
    Constant Field Values

### CONNECTION_MODE_MANUAL

    public static final java.lang.String CONNECTION_MODE_MANUAL

See Also:
  Constant Field Values

### INBOUND_TRIGGER_EVENT_ON_CONNECTION

    public static final java.lang.String INBOUND_TRIGGER_EVENT_ON_CONNECTION

  InboundTriggerEvent Type

  See Also:
    Constant Field Values

### INBOUND_TRIGGER_EVENT_ON_MESSAGE

    public static final java.lang.String INBOUND_TRIGGER_EVENT_ON_MESSAGE

See Also:
  Constant Field Values

### MS_TIMEOUT_NULL

    public static final long MS_TIMEOUT_NULL

  for C++ type MsTimeOut_t

  See Also:
    Constant Field Values

### MS_TIMEOUT_INFINITE

    public static final long MS_TIMEOUT_INFINITE

See Also:
  Constant Field Values

### TOKEN_ANY

    public static final long TOKEN_ANY

  for C++ type Token_t

  See Also:
    Constant Field Values

### SEVERITY_SUCCESS

    public static final int SEVERITY_SUCCESS

  for C++ type Severity

  See Also:
    Constant Field Values

### SEVERITY_TRANSIENT

    public static final int SEVERITY_TRANSIENT

See Also:
  Constant Field Values

### SEVERITY_LOGIC

    public static final int SEVERITY_LOGIC

See Also:
  Constant Field Values

### SEVERITY_FATAL

    public static final int SEVERITY_FATAL

See Also:
  Constant Field Values

### VISIT_PLUGIN

    public static final int VISIT_PLUGIN

  for C++ type VisitInstruction

  See Also:
    Constant Field Values

### VISIT_INTERFACE

    public static final int VISIT_INTERFACE

See Also:
  Constant Field Values

### VISIT_RETURN

    public static final int VISIT_RETURN

See Also:
  Constant Field Values

### DIR_REQUEST

    public static final int DIR_REQUEST

  for C++ type Direction

  See Also:
    Constant Field Values

### DIR_RESPONSE

    public static final int DIR_RESPONSE

See Also:
  Constant Field Values

### SWLIB_E_SUCCESS

    public static final int SWLIB_E_SUCCESS

  For C++: Error codes defined for SAG binary compatibility

  See Also:
    Constant Field Values

### SWLIB_E_INTERNAL

    public static final int SWLIB_E_INTERNAL

See Also:
  Constant Field Values

### SWLIB_E_IS_CLIENT

    public static final int SWLIB_E_IS_CLIENT

See Also:
  Constant Field Values

### SWLIB_E_CALLED_TWICE

    public static final int SWLIB_E_CALLED_TWICE

See Also:
  Constant Field Values

### SWLIB_E_NO_CALLBACKS

    public static final int SWLIB_E_NO_CALLBACKS

See Also:
  Constant Field Values

### SWLIB_E_BAD_DLL

    public static final int SWLIB_E_BAD_DLL

See Also:
  Constant Field Values

### SWLIB_E_ACCESS_DLL

    public static final int SWLIB_E_ACCESS_DLL

See Also:
  Constant Field Values

### SWLIB_E_ACCESS_CFG

    public static final int SWLIB_E_ACCESS_CFG

See Also:
  Constant Field Values

### SWLIB_E_NO_VERSION

    public static final int SWLIB_E_NO_VERSION

See Also:
  Constant Field Values

### SWLIB_E_FORMAT_CFG

    public static final int SWLIB_E_FORMAT_CFG

See Also:
  Constant Field Values

### SWLIB_E_FORMAT_ARG

    public static final int SWLIB_E_FORMAT_ARG

See Also:
  Constant Field Values

### SWLIB_E_PREVIOUS_ERROR

    public static final int SWLIB_E_PREVIOUS_ERROR

See Also:
  Constant Field Values

### FILE_OPERATION_PUT

    public static final java.lang.String FILE_OPERATION_PUT

  FileOpRequestConfig

  See Also:
    Constant Field Values

### FILE_OPERATION_GET

    public static final java.lang.String FILE_OPERATION_GET

See Also:
  Constant Field Values

### FILE_OPERATION_SNF_FETCH

    public static final java.lang.String FILE_OPERATION_SNF_FETCH

See Also:
  Constant Field Values

### FILE_OPERATION_ACK

    public static final java.lang.String FILE_OPERATION_ACK

See Also:
  Constant Field Values

### RECEIVE_MODE_REAL_TIME

    public static final java.lang.String RECEIVE_MODE_REAL_TIME

  ReceiveMode

  See Also:
    Constant Field Values

### RECEIVE_MODE_SNF

    public static final java.lang.String RECEIVE_MODE_SNF

See Also:
  Constant Field Values

### APPLICATION_STATUS_FAILURE

    public static final java.lang.String APPLICATION_STATUS_FAILURE

  Envelope.ApplicationStatus

  See Also:
    Constant Field Values

### APPLICATION_STATUS_SUCCESS

    public static final java.lang.String APPLICATION_STATUS_SUCCESS

See Also:
  Constant Field Values

### MSG_FORMAT_DEFAULT

    public static final java.lang.String MSG_FORMAT_DEFAULT

  Envelope.MsgFormat

  See Also:
    Constant Field Values

### MSG_FORMAT_SNL

    public static final java.lang.String MSG_FORMAT_SNL

See Also:
  Constant Field Values

### MSG_FORMAT_RELAXED_SNL

    public static final java.lang.String MSG_FORMAT_RELAXED_SNL

See Also:
  Constant Field Values

### MSG_FORMAT_COPY_SNL

    public static final java.lang.String MSG_FORMAT_COPY_SNL

See Also:
  Constant Field Values

### MSG_FORMAT_BASIC_INTERACT

    public static final java.lang.String MSG_FORMAT_BASIC_INTERACT

See Also:
  Constant Field Values

### MSG_FORMAT_PRIMITIVE

    public static final java.lang.String MSG_FORMAT_PRIMITIVE

See Also:
  Constant Field Values

### CONTEXT_ID_AUTOMATIC

    public static final java.lang.String CONTEXT_ID_AUTOMATIC

  Envelope.ContextId for RelaxedSNL message format

  See Also:
    Constant Field Values

### CONTEXT_ID_ADVANCED

    public static final java.lang.String CONTEXT_ID_ADVANCED

See Also:
  Constant Field Values

### CONTEXT_ID_NAMESPACE

    public static final java.lang.String CONTEXT_ID_NAMESPACE

See Also:
  Constant Field Values

### CONTEXT_ID_ADVANCED_NAMESPACE

    public static final java.lang.String CONTEXT_ID_ADVANCED_NAMESPACE

See Also:
  Constant Field Values

### LMAC_ALGORITHM_HMAC_SHA256

    public static final java.lang.String LMAC_ALGORITHM_HMAC_SHA256

  HMAC.algorithm

  See Also:
    Constant Field Values

### SERVER_ERROR_CODE_LOCAL_AUTHENTICATION_FAILURE

    public static final int SERVER_ERROR_CODE_LOCAL_AUTHENTICATION_FAILURE

  Server error code for Remote API putError(...).

  See Also:
    Constant Field Values

### SERVER_ERROR_CODE_NO_SERVER_BUSINESS_RESPONSE

    public static final int SERVER_ERROR_CODE_NO_SERVER_BUSINESS_RESPONSE

See Also:
  Constant Field Values

### RESPONSE_PAYLOAD_TYPE_ACK_RESPONSE

    public static final java.lang.String RESPONSE_PAYLOAD_TYPE_ACK_RESPONSE

  Special "type" attribute for element SwInt:ResponsePayload used for SnF ack control

  See Also:
    Constant Field Values

### RESPONSE_PAYLOAD_TYPE_EMPTY_RESPONSE

    public static final java.lang.String RESPONSE_PAYLOAD_TYPE_EMPTY_RESPONSE

See Also:
  Constant Field Values

### TRUE

    public static final java.lang.String TRUE

  Sw_Boolean

  See Also:
    Constant Field Values

### FALSE

    public static final java.lang.String FALSE

See Also:
  Constant Field Values

### SWGBL_SEVERITY_FATAL

    public static final java.lang.String SWGBL_SEVERITY_FATAL

  SwGbl_Severity

  See Also:
    Constant Field Values

### SWGBL_SEVERITY_TRANSIENT

    public static final java.lang.String SWGBL_SEVERITY_TRANSIENT

See Also:
  Constant Field Values

### SWGBL_SEVERITY_LOGIC

    public static final java.lang.String SWGBL_SEVERITY_LOGIC

See Also:
  Constant Field Values

### SWGBL_SEVERITY_SUCCESS

    public static final java.lang.String SWGBL_SEVERITY_SUCCESS

See Also:
  Constant Field Values

### SWGBL_SEVERITY_WARNING

    public static final java.lang.String SWGBL_SEVERITY_WARNING

See Also:
  Constant Field Values

### NR_TYPE_SVCMAND

    public static final java.lang.String NR_TYPE_SVCMAND

  SwInt_NRType

  See Also:
    Constant Field Values

### NR_TYPE_SVCOPT

    public static final java.lang.String NR_TYPE_SVCOPT

See Also:
  Constant Field Values

### DELIVERY_MODE_SNF

    public static final java.lang.String DELIVERY_MODE_SNF

  SwInt_DeliveryMode

  See Also:
    Constant Field Values

### PRIORITY_NORMAL

    public static final java.lang.String PRIORITY_NORMAL

  SwInt_Priority

  See Also:
    Constant Field Values

### PRIORITY_URGENT

    public static final java.lang.String PRIORITY_URGENT

See Also:
  Constant Field Values

### VALIDATION_RESULT_SUCCESS

    public static final java.lang.String VALIDATION_RESULT_SUCCESS

  SwInt_ValResult

  See Also:
    Constant Field Values

### VALIDATION_RESULT_WARNING

    public static final java.lang.String VALIDATION_RESULT_WARNING

See Also:
  Constant Field Values

### VALIDATION_RESULT_FATAL

    public static final java.lang.String VALIDATION_RESULT_FATAL

See Also:
  Constant Field Values

### TRANSFER_ANSWER_GETFILE_ACCEPTED

    public static final java.lang.String TRANSFER_ANSWER_GETFILE_ACCEPTED

  Sw_TransferAnswer for Sw:GetFileResponse and Sw:GetFileResponseHandle

  See Also:
    Constant Field Values

### TRANSFER_ANSWER_GETFILE_REJECTED

    public static final java.lang.String TRANSFER_ANSWER_GETFILE_REJECTED

See Also:
  Constant Field Values

### TRANSFER_ANSWER_PUTFILE_ACCEPTED

    public static final java.lang.String TRANSFER_ANSWER_PUTFILE_ACCEPTED

  Sw_TransferAnswer for Sw:PutFileResponse and Sw:PutFileResponseHandle

  See Also:
    Constant Field Values

### TRANSFER_ANSWER_PUTFILE_REJECTED

    public static final java.lang.String TRANSFER_ANSWER_PUTFILE_REJECTED

See Also:
  Constant Field Values

### TRANSFER_ANSWER_PUTFILE_DUPLICATED

    public static final java.lang.String TRANSFER_ANSWER_PUTFILE_DUPLICATED

See Also:
  Constant Field Values

### TRANSFER_SIDE_REQUESTOR

    public static final java.lang.String TRANSFER_SIDE_REQUESTOR

  Sw_FileStatus.Sw_TransferSide

  See Also:
    Constant Field Values

### TRANSFER_SIDE_RESPONDER

    public static final java.lang.String TRANSFER_SIDE_RESPONDER

See Also:
  Constant Field Values

### TRANSFER_TYPE_PUT

    public static final java.lang.String TRANSFER_TYPE_PUT

  Sw_FileStatus.Sw_TransferType

  See Also:
    Constant Field Values

### TRANSFER_TYPE_GET

    public static final java.lang.String TRANSFER_TYPE_GET

See Also:
  Constant Field Values

### TRANSFER_TYPE_FETCH

    public static final java.lang.String TRANSFER_TYPE_FETCH

See Also:
  Constant Field Values

### TRANSFER_DIRECTION_INCOMING

    public static final java.lang.String TRANSFER_DIRECTION_INCOMING

  Sw_FileStatus.Sw_TransferDirection

  See Also:
    Constant Field Values

### TRANSFER_DIRECTION_OUTGOING

    public static final java.lang.String TRANSFER_DIRECTION_OUTGOING

See Also:
  Constant Field Values

### TRANSFER_STATUS_INITIATED

    public static final java.lang.String TRANSFER_STATUS_INITIATED

  Sw_FileStatus.Sw_TransferStatus

  See Also:
    Constant Field Values

### TRANSFER_STATUS_ACCEPTED

    public static final java.lang.String TRANSFER_STATUS_ACCEPTED

See Also:
  Constant Field Values

### TRANSFER_STATUS_ONGOING

    public static final java.lang.String TRANSFER_STATUS_ONGOING

See Also:
  Constant Field Values

### TRANSFER_STATUS_COMPLETED

    public static final java.lang.String TRANSFER_STATUS_COMPLETED

See Also:
  Constant Field Values

### TRANSFER_STATUS_REJECTED

    public static final java.lang.String TRANSFER_STATUS_REJECTED

See Also:
  Constant Field Values

### TRANSFER_STATUS_DUPLICATED

    public static final java.lang.String TRANSFER_STATUS_DUPLICATED

See Also:
  Constant Field Values

### TRANSFER_STATUS_ABORTED

    public static final java.lang.String TRANSFER_STATUS_ABORTED

See Also:
  Constant Field Values

### TRANSFER_STATUS_FAILED

    public static final java.lang.String TRANSFER_STATUS_FAILED

See Also:
  Constant Field Values

### TRANSFER_STATUS_UNKNOWN

    public static final java.lang.String TRANSFER_STATUS_UNKNOWN

See Also:
  Constant Field Values

### DELIVERY_STATUS_ACCEPTED

    public static final java.lang.String DELIVERY_STATUS_ACCEPTED

  Sw_DeliveryStatus

  See Also:
    Constant Field Values

### DELIVERY_STATUS_REJECTED

    public static final java.lang.String DELIVERY_STATUS_REJECTED

See Also:
  Constant Field Values

### DELIVERY_STATUS_DUPLICATED

    public static final java.lang.String DELIVERY_STATUS_DUPLICATED

See Also:
  Constant Field Values

### DELIVERY_STATUS_FAILED

    public static final java.lang.String DELIVERY_STATUS_FAILED

See Also:
  Constant Field Values

### SESSION_MODE_PULL

    public static final java.lang.String SESSION_MODE_PULL

  Sw_SessionMode

  See Also:
    Constant Field Values

### SESSION_MODE_PUSH

    public static final java.lang.String SESSION_MODE_PUSH

See Also:
  Constant Field Values

### ORDER_BY_INTERACT

    public static final java.lang.String ORDER_BY_INTERACT

  Sw_OrderBy

  See Also:
    Constant Field Values

### ORDER_BY_FILEACT

    public static final java.lang.String ORDER_BY_FILEACT

See Also:
  Constant Field Values

### ORDER_BY_URGENT

    public static final java.lang.String ORDER_BY_URGENT

See Also:
  Constant Field Values

### ORDER_BY_FIFO

    public static final java.lang.String ORDER_BY_FIFO

See Also:
  Constant Field Values

### ACQUIRED_STATUS_ACCEPTED

    public static final java.lang.String ACQUIRED_STATUS_ACCEPTED

  Sw_AcquiredStatus

  See Also:
    Constant Field Values

### ACQUIRED_STATUS_REJECTED

    public static final java.lang.String ACQUIRED_STATUS_REJECTED

See Also:
  Constant Field Values

### SNF_REF_TYPE_INTERACT

    public static final java.lang.String SNF_REF_TYPE_INTERACT

  Sw_SnFRefType

  See Also:
    Constant Field Values

### SNF_REF_TYPE_FILEACT

    public static final java.lang.String SNF_REF_TYPE_FILEACT

See Also:
  Constant Field Values

### ACCEPT_STATUS_NOTIFY_SNF_ACCEPTED

    public static final java.lang.String ACCEPT_STATUS_NOTIFY_SNF_ACCEPTED

  Sw_AcceptStatus for Sw:NotifySnFRequestHandle

  See Also:
    Constant Field Values

### ACCEPT_STATUS_NOTIFY_SNF_REJECTED

    public static final java.lang.String ACCEPT_STATUS_NOTIFY_SNF_REJECTED

See Also:
  Constant Field Values

### ACCEPT_STATUS_NOTIFY_SNF_DUPLICATED

    public static final java.lang.String ACCEPT_STATUS_NOTIFY_SNF_DUPLICATED

See Also:
  Constant Field Values

### ACCEPT_STATUS_NOTIFY_SNF_FAILED

    public static final java.lang.String ACCEPT_STATUS_NOTIFY_SNF_FAILED

See Also:
  Constant Field Values

### ACCEPT_STATUS_ACK_MSG_ACCEPTED

    public static final java.lang.String ACCEPT_STATUS_ACK_MSG_ACCEPTED

  Sw_AcceptStatus for Sw:AckMessage

  See Also:
    Constant Field Values

### ACCEPT_STATUS_ACK_MSG_REJECTED

    public static final java.lang.String ACCEPT_STATUS_ACK_MSG_REJECTED

See Also:
  Constant Field Values

### ACCEPT_STATUS_ACK_MSG_DUPLICATED

    public static final java.lang.String ACCEPT_STATUS_ACK_MSG_DUPLICATED

See Also:
  Constant Field Values

### SESSION_STATUS_ACTIVE

    public static final java.lang.String SESSION_STATUS_ACTIVE

  Sw_SessionStatus

  See Also:
    Constant Field Values

### SESSION_STATUS_ACQUIRING

    public static final java.lang.String SESSION_STATUS_ACQUIRING

See Also:
  Constant Field Values

### SESSION_STATUS_TIMEDOUT

    public static final java.lang.String SESSION_STATUS_TIMEDOUT

See Also:
  Constant Field Values

### SESSION_STATUS_CLOSED

    public static final java.lang.String SESSION_STATUS_CLOSED

See Also:
  Constant Field Values

### DIGEST_ALGORITHM_SHA1

    public static final java.lang.String DIGEST_ALGORITHM_SHA1

  Sw_DigestAlgorithm

  See Also:
    Constant Field Values

### CRYPTO_MODE_AUTOMATIC

    public static final java.lang.String CRYPTO_MODE_AUTOMATIC

  Sw_CryptoMode

  See Also:
    Constant Field Values

### CRYPTO_MODE_ADVANCED

    public static final java.lang.String CRYPTO_MODE_ADVANCED

See Also:
  Constant Field Values

### CRYPTO_MODE_MANUAL

    public static final java.lang.String CRYPTO_MODE_MANUAL

See Also:
  Constant Field Values

### FA_CRYPTO_MODE_AUTOMATIC

    public static final java.lang.String FA_CRYPTO_MODE_AUTOMATIC

  Sw_FACryptoMode

  See Also:
    Constant Field Values

### FA_CRYPTO_MODE_ADVANCED

    public static final java.lang.String FA_CRYPTO_MODE_ADVANCED

See Also:
  Constant Field Values

### SNL_DIGEST_REF_REQUESTPAYLOAD

    public static final java.lang.String SNL_DIGEST_REF_REQUESTPAYLOAD

  Sw_DigestRef: SWIFTNet Link Processable References

  See Also:
    Constant Field Values

### SNL_DIGEST_REF_REQUESTHEADER

    public static final java.lang.String SNL_DIGEST_REF_REQUESTHEADER

See Also:
  Constant Field Values

### SNL_DIGEST_REF_REQUESTHEADER_AND_REQUESTPAYLOAD

    public static final java.lang.String SNL_DIGEST_REF_REQUESTHEADER_AND_REQUESTPAYLOAD

See Also:
  Constant Field Values

### SNL_DIGEST_REF_RESPONSEPAYLOAD

    public static final java.lang.String SNL_DIGEST_REF_RESPONSEPAYLOAD

See Also:
  Constant Field Values

### SNL_DIGEST_REF_RESPONSEHEADER

    public static final java.lang.String SNL_DIGEST_REF_RESPONSEHEADER

See Also:
  Constant Field Values

### SNL_DIGEST_REF_RESPONSEHEADER_AND_RESPONSEPAYLOAD

    public static final java.lang.String SNL_DIGEST_REF_RESPONSEHEADER_AND_RESPONSEPAYLOAD

See Also:
  Constant Field Values

### SNL_DIGEST_REF_NRS

    public static final java.lang.String SNL_DIGEST_REF_NRS

See Also:
  Constant Field Values

### SNL_DIGEST_REF_E2S

    public static final java.lang.String SNL_DIGEST_REF_E2S

See Also:
  Constant Field Values

### FILE_INFO_SW_COMPRESSION_ZIP

    public static final java.lang.String FILE_INFO_SW_COMPRESSION_ZIP

  Sw_FileInfo for SwCompression

  See Also:
    Constant Field Values

### FILE_INFO_SW_COMPRESSION_GZIP

    public static final java.lang.String FILE_INFO_SW_COMPRESSION_GZIP

See Also:
  Constant Field Values

### FILE_INFO_SW_COMPRESSION_NONE

    public static final java.lang.String FILE_INFO_SW_COMPRESSION_NONE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_INIT_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_INIT_REQUEST

  SNL Primitive names from SNL spec

  See Also:
    Constant Field Values

### SNL_PRIMITIVE_NAME_INIT_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_INIT_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_INIT_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_INIT_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_INIT_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_INIT_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_TERM_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_TERM_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_TERM_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_TERM_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_TERM_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_TERM_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_TERM_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_TERM_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_CREATE_CONTEXT_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_CREATE_CONTEXT_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_CREATE_CONTEXT_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_CREATE_CONTEXT_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_DESTROY_CONTEXT_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_DESTROY_CONTEXT_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_DESTROY_CONTEXT_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_DESTROY_CONTEXT_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_SIGN_ENCRYPT_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_SIGN_ENCRYPT_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_SIGN_ENCRYPT_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_SIGN_ENCRYPT_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_VERIFY_DECRYPT_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_VERIFY_DECRYPT_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_VERIFY_DECRYPT_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_VERIFY_DECRYPT_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_EXCHANGE_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_EXCHANGE_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_EXCHANGE_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_EXCHANGE_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_SEND_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_SEND_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_SEND_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_SEND_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_WAIT_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_WAIT_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_WAIT_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_WAIT_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_GET_DATE_TIME_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_GET_DATE_TIME_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_GET_DATE_TIME_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_GET_DATE_TIME_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_SMA_GET_STATUS_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_SMA_GET_STATUS_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_SMA_GET_STATUS_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_SMA_GET_STATUS_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_EXCHANGE_FILE_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_EXCHANGE_FILE_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_EXCHANGE_FILE_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_EXCHANGE_FILE_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_FILE_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_FILE_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_FILE_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_FILE_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_FETCH_FILE_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_FETCH_FILE_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_FETCH_FILE_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_FETCH_FILE_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_GET_FILE_STATUS_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_GET_FILE_STATUS_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_GET_FILE_STATUS_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_GET_FILE_STATUS_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_LIST_FILE_STATUS_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_LIST_FILE_STATUS_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_LIST_FILE_STATUS_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_LIST_FILE_STATUS_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_ABORT_FILE_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_ABORT_FILE_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_ABORT_FILE_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_ABORT_FILE_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_SUBSCRIBE_FILE_EVENT_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_SUBSCRIBE_FILE_EVENT_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_SUBSCRIBE_FILE_EVENT_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_SUBSCRIBE_FILE_EVENT_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_FILE_EVENT_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_FILE_EVENT_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_FILE_EVENT_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_FILE_EVENT_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_GET_FILE_DIGEST_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_GET_FILE_DIGEST_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_GET_FILE_DIGEST_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_GET_FILE_DIGEST_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_EXCHANGE_SNF_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_EXCHANGE_SNF_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_EXCHANGE_SNF_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_EXCHANGE_SNF_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_SNF_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_SNF_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_SNF_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_SNF_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_PULL_SNF_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_PULL_SNF_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_PULL_SNF_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_PULL_SNF_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_GET_SNF_STATUS_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_GET_SNF_STATUS_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_GET_SNF_STATUS_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_GET_SNF_STATUS_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_RESPONSE_INFO_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_RESPONSE_INFO_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_HANDLE_RESPONSE_INFO_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_HANDLE_RESPONSE_INFO_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_KMA_CERTIFY_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_KMA_CERTIFY_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_KMA_CERTIFY_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_KMA_CERTIFY_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_KMA_CERT_LIST_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_KMA_CERT_LIST_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_KMA_CERT_LIST_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_KMA_CERT_LIST_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_KMA_CERT_INFO_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_KMA_CERT_INFO_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_KMA_CERT_INFO_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_KMA_CERT_INFO_RESPONSE

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_KMA_CHANGE_PASSWORD_REQUEST

    public static final java.lang.String SNL_PRIMITIVE_NAME_KMA_CHANGE_PASSWORD_REQUEST

See Also:
  Constant Field Values

### SNL_PRIMITIVE_NAME_KMA_CHANGE_PASSWORD_RESPONSE

    public static final java.lang.String SNL_PRIMITIVE_NAME_KMA_CHANGE_PASSWORD_RESPONSE

See Also:
  Constant Field Values

Constructor Detail

### SAGConstants

    public SAGConstants()

Method Detail

### getEnvelopeContextId4RelaxedSNL

    public static final SAGConstants.C_EnvelopeContextId4RelaxedSNL getEnvelopeContextId4RelaxedSNL()

  Gets the envelope context id for RelaxedSNL message format.

  Parameters:
    None.

  Returns:
    `C_EnvelopeContextId4RelaxedSNL` - Returns EnvelopeContextId4RelaxedSNL.
  Throws:
    None.

### getEnvelopeMsgFormat

    public static final SAGConstants.C_EnvelopeMsgFormat getEnvelopeMsgFormat()

  Gets the envelope message format.

  Parameters:
    None.

  Returns:
    `C_EnvelopeMsgFormat` - Returns EnvelopeMsgFormat.
  Throws:
    None.

### getEnvelopeApplicationStatus

    public static final SAGConstants.C_EnvelopeApplicationStatus getEnvelopeApplicationStatus()

  Gets the envelope application status

  Parameters:
    None.

  Returns:
    `C_EnvelopeApplicationStatus` - Returns EnvelopeApplicationStatus.
  Throws:
    None.

### getServerErrorCode

    public static final SAGConstants.C_ServerErrorCode getServerErrorCode()

  Gets server error code for Remote API putError(...).

  Parameters:
    None.

  Returns:
    `C_ServerErrorCode` - Returns ServerErrorCode.
  Throws:
    None.

### getSwInt_ResponsePayloadType

    public static final SAGConstants.C_SwInt_ResponsePayloadType getSwInt_ResponsePayloadType()

  Gets special "type" attribute for element SwInt:ResponsePayload used for SnF ack control.

  Parameters:
    None.

  Returns:
    `C_SwInt_ResponsePayloadType` - Returns SwInt_ResponsePayloadType.
  Throws:
    None.

### getLMAC_Algorithm

    public static final SAGConstants.C_LMAC_Algorithm getLMAC_Algorithm()

  Gets the LMAC Algorithm

  Parameters:
    None.

  Returns:
    `C_LMAC_Algorithm` - Returns LMAC Algorithm.
  Throws:
    None.

### getSw_Boolean

    public static final SAGConstants.C_Sw_Boolean getSw_Boolean()

  Gets Sw_Boolean.

  Parameters:
    None.

  Returns:
    `C_Sw_Boolean` - Returns Boolean.
  Throws:
    None.

### getSwInt_NRType

    public static final SAGConstants.C_SwInt_NRType getSwInt_NRType()

  Gets the NR (non-repudiation)type.

  Parameters:
    None.

  Returns:
    `C_SwInt_NRType` - Returns NRType.
  Throws:
    None.

### getSwInt_Priority

    public static final SAGConstants.C_SwInt_Priority getSwInt_Priority()

  Gets the priority.

  Parameters:
    None.

  Returns:
    `C_SwInt_Priority` - Returns Priority.
  Throws:
    None.

### getSw_TransferAnswer

    public static final SAGConstants.C_Sw_TransferAnswer getSw_TransferAnswer()

  Gets the transfer answer.

  Parameters:
    None.

  Returns:
    `C_Sw_TransferAnswer` - Returns TransferAnswer.
  Throws:
    None.

### getSw_TransferType

    public static final SAGConstants.C_Sw_TransferType getSw_TransferType()

  Gets the transfer type.

  Parameters:
    None.

  Returns:
    `C_Sw_TransferType` - Returns TransferType.
  Throws:
    None.

### getSw_TransferStatus

    public static final SAGConstants.C_Sw_TransferStatus getSw_TransferStatus()

  Gets the transfer status.

  Parameters:
    None.

  Returns:
    `C_Sw_TransferStatus` - Returns TransferStatus.
  Throws:
    None.

### getSw_SessionMode

    public static final SAGConstants.C_Sw_SessionMode getSw_SessionMode()

  Gets the session mode.

  Parameters:
    None.

  Returns:
    `C_Sw_SessionMode` - Returns SessionMode.
  Throws:
    None.

### getSw_AcquiredStatus

    public static final SAGConstants.C_Sw_AcquiredStatus getSw_AcquiredStatus()

  Gets the aquire status.

  Parameters:
    None.

  Returns:
    `C_Sw_AcquiredStatus` - Returns AcquiredStatus.
  Throws:
    None.

### getSw_AcceptStatus

    public static final SAGConstants.C_Sw_AcceptStatus getSw_AcceptStatus()

  Gets the accept status.

  Parameters:
    None.

  Returns:
    `C_Sw_AcceptStatus` - Returns AcceptStatus.
  Throws:
    None.

### getSw_DigestAlgorithm

    public static final SAGConstants.C_Sw_DigestAlgorithm getSw_DigestAlgorithm()

  Parameters:
    None.

  Returns:
    `C_Sw_DigestAlgorithm` - Returns DigestAlgorithm.
  Throws:
    None.

### getSw_SessionStatus

    public static final SAGConstants.C_Sw_SessionStatus getSw_SessionStatus()

  Gets the session status.

  Parameters:
    None.

  Returns:
    `C_Sw_SessionStatus` - Returns SessionStatus.
  Throws:
    None.

### getSw_SnFRefType

    public static final SAGConstants.C_Sw_SnFRefType getSw_SnFRefType()

  Gets the SnF reference type.

  Parameters:
    None.

  Returns:
    `C_Sw_SnFRefType` - Returns SnFRefType.
  Throws:
    None.

### getSw_OrderBy

    public static final SAGConstants.C_Sw_OrderBy getSw_OrderBy()

  Gets the OrderBy, indicates the order in which the messages must be retrieved on the queue.

  Parameters:
    None.

  Returns:
    `C_Sw_OrderBy` - Returns OrderBy.
  Throws:
    None.

### getSw_DeliveryStatus

    public static final SAGConstants.C_Sw_DeliveryStatus getSw_DeliveryStatus()

  Gets the delivery status.

  Parameters:
    None.

  Returns:
    `C_Sw_DeliveryStatus` - Returns DeliveryStatus.
  Throws:
    None.

### getSw_TransferDirection

    public static final SAGConstants.C_Sw_TransferDirection getSw_TransferDirection()

  Gets the transfer direction.

  Parameters:
    None.

  Returns:
    `C_Sw_TransferDirection` - Returns TransferDirection.
  Throws:
    None.

### getSw_TransferSide

    public static final SAGConstants.C_Sw_TransferSide getSw_TransferSide()

  Gets the transfer side.

  Parameters:
    None.

  Returns:
    `C_Sw_TransferSide` - Returns TransferSide.
  Throws:
    None.

### getSwInt_ValResult

    public static final SAGConstants.C_SwInt_ValResult getSwInt_ValResult()

  Gets the value result.

  Parameters:
    None.

  Returns:
    `C_SwInt_ValResult` - Returns ValResult.
  Throws:
    None.

### getSwInt_DeliveryMode

    public static final SAGConstants.C_SwInt_DeliveryMode getSwInt_DeliveryMode()

  Gets the delivery mode.

  Parameters:
    None.

  Returns:
    `C_SwInt_DeliveryMode` - Returns DeliveryMode.
  Throws:
    None.

### getSwGbl_Severity

    public static final SAGConstants.C_SwGbl_Severity getSwGbl_Severity()

  Gets the Gbl_Severity.

  Parameters:
    None.

  Returns:
    `C_SwGbl_Severity` - Returns Severity.
  Throws:
    None.

### getSw_CryptoMode

    public static final SAGConstants.C_Sw_CryptoMode getSw_CryptoMode()

  Gets the Sw_CryptoMode.

  Parameters:
    None.

  Returns:
    `C_Sw_CryptoMode` - Returns CryptoMode.
  Throws:
    None.

### getSw_FACryptoMode

    public static final SAGConstants.C_Sw_FACryptoMode getSw_FACryptoMode()

  Gets the Sw_FACryptoMode.

  Parameters:
    None.

  Returns:
    `C_Sw_FACryptoMode` - Returns FACryptoMode.
  Throws:
    None.

### getSw_DigestRef_SNL_Processable

    public static final SAGConstants.C_Sw_DigestRef_SNL_Processable getSw_DigestRef_SNL_Processable()

  Gets the Sw_DigestRef_SNL_Processable.

  Parameters:
    None.

  Returns:
    `C_Sw_DigestRef_SNL_Processable` - Returns DigestRef_SNL_Processable.
  Throws:
    None.

### getSNL_PrimitiveNames

    public static final SAGConstants.C_SNL_PrimitiveNames getSNL_PrimitiveNames()

  Gets SNL Primitive Names.

  Parameters:
    None.

  Returns:
    `C_SNL_PrimitiveNames` - Returns SNL Primitive Names.
  Throws:
    None.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.